
Foreman - Bug #31730

Cleanup hook names in event_name_for

01/26/2021 04:57 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Plugin integration   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8284,

https://github.com/theforeman/foreman/p

ull/8319

  

Description

Events created from Ruby namespace often contain slash characters which looks weird:

actions/remote_execution/run_hosts_job_stopped.event.foreman.event.foreman

Let's convert them to dots.

Related issues:

Related to Foreman - Tracker #30290: Foreman webhooks integration story New

Related to Foreman - Feature #31647: Ability to add new arbitrary event via p... Resolved

Associated revisions

Revision eb60c400 - 02/09/2021 03:35 PM - Lukas Zapletal

Fixes #31730 - cleaner event name and documentation

History

#1 - 01/26/2021 04:57 PM - Lukas Zapletal

- Related to Tracker #30290: Foreman webhooks integration story added

#2 - 01/27/2021 03:00 PM - Lukas Zapletal

- Project changed from Webhooks to Foreman

#3 - 01/27/2021 03:08 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8284 added

#4 - 02/09/2021 03:35 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#5 - 02/09/2021 04:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|eb60c4002ad74dde845ca3863cd9099a1ef1d3de.

#6 - 02/10/2021 10:36 AM - Lukas Zapletal

- Target version set to 2.4.0

Requesting 2.4 so we can release plugins for this versions with events support.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/eb60c4002ad74dde845ca3863cd9099a1ef1d3de


#7 - 02/10/2021 10:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8319 added

#8 - 03/01/2021 12:57 PM - Lukas Zapletal

- Related to Feature #31647: Ability to add new arbitrary event via plugin API added

#9 - 03/01/2021 02:08 PM - Tomer Brisker

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)

#10 - 03/18/2021 01:44 PM - Tomer Brisker

- Category set to Plugin integration
